> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Connection

> Retrieves a single Data Connection associated with a title.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| EventSinkNotFound | 15005 |
| ServiceUnavailable | 1123 |




## OpenAPI

````yaml /services/playfab/api-references/rest/events/events.openapi.json post /Event/GetDataConnection
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Events API
  description: >-
    Write custom PlayStream and Telemetry events for any PlayFab entity.
    Telemetry events can be used for analytic, reporting, or debugging.
    PlayStream events can do all of that and also trigger custom actions in near
    real-time.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: PlayStream
    description: PlayStream Management APIs
  - name: PlayStream Events
    description: PlayStream Events APIs
paths:
  /Event/GetDataConnection:
    post:
      tags:
        - PlayStream Events
      summary: Get Data Connection
      description: |
        Retrieves a single Data Connection associated with a title.

        Allowed entity token types: title

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | EventSinkNotFound | 15005 |
        | ServiceUnavailable | 1123 |
      operationId: GetDataConnection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDataConnectionRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetDataConnectionResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetDataConnectionRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Name:
          description: The name of the data connection to retrieve.
          type: string
      required:
        - Name
      example:
        Name: MyDataConnection
    GetDataConnectionResponse:
      type: object
      properties:
        DataConnection:
          allOf:
            - $ref: '#/components/schemas/DataConnectionDetails'
          description: The details of the queried Data Connection.
      example:
        DataConnection:
          Name: MyDataConnection
          Type: AzureDataExplorer
          IsActive: true
          ConnectionSettings:
            AzureDataExplorerSettings:
              ClusterUri: https://myadxcluster.kusto.windows.net
              Database: MyDatabase
              Table: MyTable
          Status: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    DataConnectionDetails:
      type: object
      properties:
        ConnectionSettings:
          allOf:
            - $ref: '#/components/schemas/DataConnectionSettings'
          description: Settings of the data connection.
        IsActive:
          description: Whether or not the connection is currently active.
          type: boolean
        Name:
          description: The name of the data connection.
          type: string
        Status:
          allOf:
            - $ref: '#/components/schemas/DataConnectionStatusDetails'
          description: Current status of the data connection, if any.
        Type:
          allOf:
            - $ref: '#/components/schemas/DataConnectionType'
          description: The type of data connection.
      required:
        - Name
        - Type
        - IsActive
        - ConnectionSettings
    DataConnectionSettings:
      type: object
      properties:
        AzureBlobSettings:
          allOf:
            - $ref: '#/components/schemas/DataConnectionAzureBlobSettings'
          description: Settings if the type of connection is AzureBlobStorage.
        AzureDataExplorerSettings:
          allOf:
            - $ref: '#/components/schemas/DataConnectionAzureDataExplorerSettings'
          description: Settings if the type of connection is AzureDataExplorer.
        AzureFabricKQLSettings:
          allOf:
            - $ref: '#/components/schemas/DataConnectionFabricKQLSettings'
          description: Settings if the type of connection is FabricKQL.
    DataConnectionStatusDetails:
      type: object
      properties:
        Error:
          description: The name of the error affecting the data connection, if any.
          type: string
        ErrorMessage:
          description: >-
            A description of the error affecting the data connection, if any.
            This may be empty for some errors.
          type: string
        MostRecentErrorTime:
          description: >-
            The most recent time of the error affecting the data connection, if
            any.
          type: string
        State:
          allOf:
            - $ref: '#/components/schemas/DataConnectionErrorState'
          description: Indicates if the connection is in a normal state or error state.
    DataConnectionType:
      type: string
      enum:
        - AzureBlobStorage
        - AzureDataExplorer
        - FabricKQL
    DataConnectionAzureBlobSettings:
      type: object
      properties:
        AccountName:
          description: Name of the storage account.
          type: string
        ContainerName:
          description: Name of the container.
          type: string
        TenantId:
          description: Azure Entra Tenant Id.
          type: string
    DataConnectionAzureDataExplorerSettings:
      type: object
      properties:
        ClusterUri:
          description: The URI of the ADX cluster.
          type: string
        Database:
          description: The database to write to.
          type: string
        Table:
          description: The table to write to.
          type: string
    DataConnectionFabricKQLSettings:
      type: object
      properties:
        ClusterUri:
          description: The URI of the Fabric cluster.
          type: string
        Database:
          description: The database to write to.
          type: string
        Table:
          description: The table to write to.
          type: string
    DataConnectionErrorState:
      type: string
      enum:
        - OK
        - Error
  responses:
    GetDataConnectionResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetDataConnectionResponse'
            example:
              code: 200
              status: OK
              data:
                DataConnection:
                  Name: MyDataConnection
                  Type: AzureDataExplorer
                  IsActive: true
                  ConnectionSettings:
                    AzureDataExplorerSettings:
                      ClusterUri: https://myadxcluster.kusto.windows.net
                      Database: MyDatabase
                      Table: MyTable
                  Status: {}
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Data Connection](/services/playfab/api-references/rest/events/play-stream-events/get-data-connection.md)
- [PlayFab Services SDK Release Notes 2025](/services/playfab/release-notes/2025.md)
- [Data Connections - Overview](/services/playfab/data-analytics/export-data/data-connection-overview.md)
- [List Data Connections](/api-reference/playstream-events/list-data-connections.md)
- [Set Data Connection](/api-reference/playstream-events/set-data-connection.md)
